=== modified file '.bzrignore'
--- .bzrignore	2008-07-29 20:42:35 +0000
+++ .bzrignore	2008-10-24 17:15:39 +0000
@@ -4,3 +4,4 @@
 ./loggerhead.pid
 ./logs
 build
+*.log

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-10-01 16:39:00 +0000
+++ loggerhead/apps/branch.py	2008-10-24 02:26:05 +0000
@@ -31,7 +31,7 @@
         self._config = config
         self.friendly_name = friendly_name
         self.branch_link = branch_link  # Currently only used in Launchpad
-        self.log = logging.getLogger('loggerhead.%s' % (friendly_name,))
+        self.log = logging.getLogger('loggerhead.%s' % friendly_name)
         if graph_cache is None:
             graph_cache = bzrlib.lru_cache.LRUCache()
         self.graph_cache = graph_cache
@@ -86,7 +86,7 @@
 
     def last_updated(self):
         h = self.get_history()
-        change = h.get_changes([ h.last_revid ])[0]
+        change = h.get_changes([h.last_revid])[0]
         return change.date
 
     def branch_url(self):
@@ -118,4 +118,3 @@
                 raise
         finally:
             self.branch.unlock()
-

=== modified file 'loggerhead/apps/config.py'
--- loggerhead/apps/config.py	2008-07-01 04:01:31 +0000
+++ loggerhead/apps/config.py	2008-10-24 02:26:05 +0000
@@ -26,6 +26,7 @@
 
 from loggerhead.history import is_branch
 
+
 class Project(object):
     """A project contains the branches.
 
@@ -73,7 +74,9 @@
         log.debug('Rescanning auto-folder for project %s ...', self.name)
         for folder in auto_list:
             view_name = os.path.basename(folder)
-            log.debug('Auto-configuring (project %s) branch %s...', self.name, view_name)
+            log.debug('Auto-configuring (project %s) branch %s...',
+                      self.name,
+                      view_name)
             self._add_view(view_name, ConfigObj(), folder)
         self._auto_list = auto_list
 
@@ -90,7 +93,8 @@
         description = view_config.get('description', None)
         if description is not None:
             return description
-        description = history._branch.get_config().get_user_option('description')
+        description = history._branch.get_config().get_user_option(
+                          'description')
         return description
 
     def _add_view(self, view_name, view_config, folder):
@@ -107,7 +111,9 @@
             self.view_data_by_name[view_name] = {
                 'branch_path': folder,
                 'args': (view_name, view_config, self.graph_cache),
-                'description': self._get_description(view, view_config, history),
+                'description': self._get_description(view,
+                                                     view_config,
+                                                     history),
                 '_src_folder': folder,
                 '_view_config': view_config,
                 'friendly_name': friendly_name,
@@ -158,8 +164,8 @@
         self.projects_by_name = {}
         graph_cache = bzrlib.lru_cache.LRUCache()
         for project_name in self.config.sections:
-            project = Project(
-                project_name, self.config[project_name], self.config, graph_cache)
+            project = Project(project_name, self.config[project_name],
+                              self.config, graph_cache)
             self.projects.append(project)
             self.projects_by_name[project_name] = project
 
@@ -169,7 +175,9 @@
         # branches again.
         for p in self.projects:
             p._recheck_auto_folders()
+
         class branch(object):
+
             @staticmethod
             def static_url(path):
                 return self._static_url_base + path

=== modified file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2008-09-29 21:35:53 +0000
+++ loggerhead/apps/error.py	2008-10-24 02:26:05 +0000
@@ -17,6 +17,7 @@
 
 from loggerhead.controllers.error_ui import ErrorUI
 
+
 class ErrorHandlerApp(object):
     """Class for WSGI error logging middleware."""
 
@@ -31,7 +32,7 @@
         except:
             # test if exc_info has been set, in the case that
             # the error is caused before BranchWSGGIApp middleware
-            if environ.has_key('exc_info') and environ.has_key('branch'):
+            if 'exc_info' in environ.keys() and 'branch' in environ.keys():
                 # Log and/or report any application errors
                 return self.handle_error(environ, start_response)
             else:
@@ -55,4 +56,3 @@
     '''Default (and trivial) error handling WSGI application.'''
     c = ErrorUI(environ['branch'], environ['exc_info'])
     return c(environ, start_response)
-

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2008-08-12 23:10:24 +0000
+++ loggerhead/apps/filesystem.py	2008-10-24 02:26:05 +0000
@@ -16,6 +16,7 @@
 
 
 class BranchesFromFileSystemServer(object):
+
     def __init__(self, path, root, name=None):
         self.path = path
         self.root = root
@@ -43,7 +44,9 @@
                 name = self.name
             else:
                 name = '/'
-            return DirectoryUI(environ['loggerhead.static.url'], self.path, name)
+            return DirectoryUI(environ['loggerhead.static.url'],
+                               self.path,
+                               name)
         else:
             new_path = os.path.join(self.path, segment)
             if self.name:

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2008-09-12 04:34:38 +0000
+++ loggerhead/changecache.py	2008-10-24 02:26:05 +0000
@@ -40,32 +40,38 @@
 
 
 class FakeShelf(object):
+
     def __init__(self, filename):
         create_table = not os.path.exists(filename)
         self.connection = dbapi2.connect(filename)
         self.cursor = self.connection.cursor()
         if create_table:
             self._create_table()
+
     def _create_table(self):
         self.cursor.execute(
             "create table RevisionData "
             "(revid binary primary key, data binary)")
         self.connection.commit()
+
     def _serialize(self, obj):
         r = dbapi2.Binary(cPickle.dumps(obj, protocol=2))
         return r
+
     def _unserialize(self, data):
         return cPickle.loads(str(data))
+
     def get(self, revid):
         self.cursor.execute(
-            "select data from revisiondata where revid = ?", (revid,))
+            "select data from revisiondata where revid = ?", (revid, ))
         filechange = self.cursor.fetchone()
         if filechange is None:
             return None
         else:
             return self._unserialize(filechange[0])
+
     def add(self, revid_obj_pairs):
-        for  (r, d) in revid_obj_pairs:
+        for (r, d) in revid_obj_pairs:
             self.cursor.execute(
                 "insert into revisiondata (revid, data) values (?, ?)",
                 (r, self._serialize(d)))
@@ -73,6 +79,7 @@
 
 
 class FileChangeCache(object):
+
     def __init__(self, history, cache_path):
         self.history = history
 
@@ -100,7 +107,8 @@
                 missing_entry_indices.append(len(out))
                 out.append(None)
         if missing_entries:
-            missing_changes = self.history.get_file_changes_uncached(missing_entries)
+            missing_changes = self.history.get_file_changes_uncached(
+                                  missing_entries)
             revid_changes_pairs = []
             for i, entry, changes in zip(
                 missing_entry_indices, missing_entries, missing_changes):

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2008-09-30 02:04:14 +0000
+++ loggerhead/controllers/__init__.py	2008-10-24 02:26:05 +0000
@@ -25,6 +25,7 @@
 from loggerhead.templatefunctions import templatefunctions
 from loggerhead.zptsupport import load_template
 
+
 class BufferingWriter(object):
 
     def __init__(self, writefunc, buf_limit):
@@ -51,6 +52,7 @@
         if self.buflen > self.buf_limit:
             self.flush()
 
+
 class TemplatedBranchView(object):
 
     template_path = None
@@ -84,7 +86,7 @@
         vals.update(self.get_values(h, args, kw, headers))
 
         self.log.info('Getting information for %s: %r secs' % (
-            self.__class__.__name__, time.time() - z,))
+            self.__class__.__name__, time.time() - z))
         if 'Content-Type' not in headers:
             headers['Content-Type'] = 'text/html'
         writer = start_response("200 OK", headers.items())
@@ -93,6 +95,11 @@
         w = BufferingWriter(writer, 8192)
         template.expand_into(w, **vals)
         w.flush()
-        self.log.info('Rendering %s: %r secs, %s bytes, %s (%2.1f%%) bytes saved' % (
-            self.__class__.__name__, time.time() - z, w.bytes, w.bytes_saved, 100.0*w.bytes_saved/w.bytes))
+        self.log.info(
+            'Rendering %s: %r secs, %s bytes, %s (%2.1f%%) bytes saved' % (
+                self.__class__.__name__,
+                time.time() - z,
+                w.bytes,
+                w.bytes_saved,
+                100.0*w.bytes_saved/w.bytes))
         return []

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2008-09-09 22:42:27 +0000
+++ loggerhead/controllers/annotate_ui.py	2008-10-24 02:26:05 +0000
@@ -32,6 +32,7 @@
     path = posixpath.dirname(path)
     return path
 
+
 class AnnotateUI (TemplatedBranchView):
 
     template_path = 'loggerhead.templates.annotate'
@@ -83,7 +84,7 @@
             'path': path,
             'filename': filename,
             'navigation': navigation,
-            'change': h.get_changes([ revid ])[0],
+            'change': h.get_changes([revid])[0],
             'contents': list(h.annotate_file(file_id, revid)),
             'fileview_active': True,
             'directory_breadcrumbs': directory_breadcrumbs,

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2008-08-16 21:53:52 +0000
+++ loggerhead/controllers/changelog_ui.py	2008-10-24 02:26:05 +0000
@@ -102,7 +102,8 @@
             'navigation': navigation,
             'filter_file_id': filter_file_id,
             'start_revid': start_revid,
-            'viewing_from': (orig_start_revid is not None) and (orig_start_revid != h.last_revid),
+            'viewing_from': (orig_start_revid is not None) and (
+                            orig_start_revid != h.last_revid),
             'query': query,
             'search_failed': search_failed,
             'all_same_author': all_same_author,

=== modified file 'loggerhead/controllers/diff_ui.py'
--- loggerhead/controllers/diff_ui.py	2008-09-29 21:35:13 +0000
+++ loggerhead/controllers/diff_ui.py	2008-10-24 02:26:05 +0000
@@ -27,6 +27,7 @@
 
 log = logging.getLogger("loggerhead.controllers")
 
+
 class DiffUI(object):
     """Class to output a diff for a single file or revisions."""
 
@@ -57,7 +58,6 @@
         else:
             revid_to = change.parents[0].revid
 
-
         repo = self._branch.branch.repository
         revtree1 = repo.revision_tree(revid_from)
         revtree2 = repo.revision_tree(revid_to)
@@ -77,8 +77,7 @@
         headers = [
             ('Content-Type', 'application/octet-stream'),
             ('Content-Length', len(content)),
-            ('Content-Disposition', 'attachment; filename=%s'%(filename,)),
+            ('Content-Disposition', 'attachment; filename=%s' % filename),
             ]
         start_response('200 OK', headers)
         return [content]
-

=== modified file 'loggerhead/controllers/directory_ui.py'
--- loggerhead/controllers/directory_ui.py	2008-09-30 02:57:08 +0000
+++ loggerhead/controllers/directory_ui.py	2008-10-24 02:26:05 +0000
@@ -25,7 +25,9 @@
 from loggerhead import util
 from loggerhead.controllers import TemplatedBranchView
 
+
 class DirEntry(object):
+
     def __init__(self, dirname, parity, branch):
         self.dirname = dirname
         self.parity = parity
@@ -33,11 +35,13 @@
         if branch is not None:
             # If a branch is empty, bzr raises an exception when trying this
             try:
-                self.last_change =  datetime.datetime.fromtimestamp(
-                    branch.repository.get_revision(branch.last_revision()).timestamp)
+                self.last_change = datetime.datetime.fromtimestamp(
+                    branch.repository.get_revision(
+                        branch.last_revision()).timestamp)
             except:
                 self.last_change = None
 
+
 class DirectoryUI(TemplatedBranchView):
     """
     """
@@ -45,8 +49,10 @@
     template_path = 'loggerhead.templates.directory'
 
     def __init__(self, static_url_base, path, name):
+
         class _branch(object):
             context_url = 1
+
             @staticmethod
             def static_url(path):
                 return self._static_url_base + path

=== modified file 'loggerhead/controllers/download_ui.py'
--- loggerhead/controllers/download_ui.py	2008-07-01 02:38:56 +0000
+++ loggerhead/controllers/download_ui.py	2008-10-24 02:26:05 +0000
@@ -48,7 +48,8 @@
             args.append(arg)
 
         if len(args) < 2:
-            raise httpexceptions.HTTPMovedPermanently(self._branch.url('../changes'))
+            raise httpexceptions.HTTPMovedPermanently(self._branch.url(
+                      '../changes'))
 
         revid = h.fix_revid(args[0])
         file_id = args[1]
@@ -57,11 +58,14 @@
         if mime_type is None:
             mime_type = 'application/octet-stream'
 
-        self.log.info('/download %s @ %s (%d bytes)', path, h.get_revno(revid), len(content))
+        self.log.info('/download %s @ %s (%d bytes)',
+                      path,
+                      h.get_revno(revid),
+                      len(content))
         headers = [
             ('Content-Type', mime_type),
             ('Content-Length', len(content)),
-            ('Content-Disposition', 'attachment; filename=%s'%(filename,)),
+            ('Content-Disposition', 'attachment; filename=%s' % filename),
             ]
         start_response('200 OK', headers)
         return [content]

=== modified file 'loggerhead/controllers/error_ui.py'
--- loggerhead/controllers/error_ui.py	2008-09-29 21:32:30 +0000
+++ loggerhead/controllers/error_ui.py	2008-10-24 02:26:05 +0000
@@ -22,6 +22,7 @@
 from loggerhead.controllers import TemplatedBranchView
 from loggerhead import util
 
+
 class ErrorUI(TemplatedBranchView):
 
     template_path = 'loggerhead.templates.error'
@@ -41,7 +42,8 @@
                 'changes'))
         return {
             'branch': self._branch,
-            'error_title': 'An unexpected error occurred while proccesing the request:',
+            'error_title': ('An unexpected error occurred while'
+                            'proccesing the request:'),
             'error_description': description.getvalue(),
             'directory_breadcrumbs': directory_breadcrumbs,
         }

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-10-01 22:23:24 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-10-24 02:26:05 +0000
@@ -30,6 +30,7 @@
 
 log = logging.getLogger("loggerhead.controllers")
 
+
 def dirname(path):
     while path.endswith('/'):
         path = path[:-1]
@@ -66,9 +67,9 @@
             start_revid = kw.get('start_revid', None)
             sort_type = kw.get('sort', None)
 
-            change = h.get_changes([ revid ])[0]
+            change = h.get_changes([revid])[0]
             # add parent & merge-point branch-nick info, in case it's useful
-            h.get_branch_nicks([ change ])
+            h.get_branch_nicks([change])
 
             path = inv.id2path(file_id)
             if not path.startswith('/'):

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2008-08-16 21:53:52 +0000
+++ loggerhead/controllers/revision_ui.py	2008-10-24 02:26:05 +0000
@@ -44,7 +44,10 @@
         compare_revid = h.fix_revid(kw.get('compare_revid', None))
 
         try:
-            revid, start_revid, revid_list = h.get_view(revid, start_revid, filter_file_id, query)
+            revid, start_revid, revid_list = h.get_view(revid,
+                                                        start_revid,
+                                                        filter_file_id,
+                                                        query)
         except:
             self.log.exception('Exception fetching changes')
             raise HTTPServerError('Could not fetch changes')
@@ -59,7 +62,7 @@
 
         change = h.get_change_with_diff(revid, compare_revid)
         # add parent & merge-point branch-nick info, in case it's useful
-        h.get_branch_nicks([ change ])
+        h.get_branch_nicks([change])
 
         line_count_limit = DEFAULT_LINE_COUNT_LIMIT
         line_count = 0
@@ -70,7 +73,7 @@
         # let's make side-by-side diff be the default
         side_by_side = not kw.get('unified', False)
         if side_by_side:
-            h.add_side_by_side([ change ])
+            h.add_side_by_side([change])
 
         # Directory Breadcrumbs
         directory_breadcrumbs = (

=== modified file 'loggerhead/controllers/search_ui.py'
--- loggerhead/controllers/search_ui.py	2008-09-09 22:42:27 +0000
+++ loggerhead/controllers/search_ui.py	2008-10-24 02:26:05 +0000
@@ -45,4 +45,4 @@
                 # Should show a 'search is not available' etc box.
                 terms = []
 
-        return {'terms':terms}
+        return {'terms': terms}

=== modified file 'loggerhead/daemon.py'
--- loggerhead/daemon.py	2008-07-26 14:52:44 +0000
+++ loggerhead/daemon.py	2008-10-24 02:26:05 +0000
@@ -25,7 +25,7 @@
         try:
             pid = os.fork()     # Fork a second child.
         except OSError, e:
-            raise Exception, "%s [%d]" % (e.strerror, e.errno)
+            raise Exception("%s [%d]" % (e.strerror, e.errno))
 
         if pid == 0:  # The second child.
             os.chdir(WORKDIR)
@@ -53,8 +53,8 @@
             pass
 
     f = open(pidfile, 'w')
-    f.write('%d\n' % (os.getpid(),))
-    f.write('%s\n' % (home,))
+    f.write('%d\n' % os.getpid())
+    f.write('%s\n' % home)
     f.close()
 
 

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-09-27 05:13:24 +0000
+++ loggerhead/history.py	2008-10-24 02:26:05 +0000
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008  Canonical Ltd. 
+# Copyright (C) 2008  Canonical Ltd.
 #                     (Authored by Martin Albisetti <argentina@gmail.com>)
 # Copyright (C) 2006  Robey Pointer <robey@lag.net>
 # Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
@@ -53,10 +53,14 @@
 # bzrlib's UIFactory is not thread-safe
 uihack = threading.local()
 
+
 class ThreadSafeUIFactory (bzrlib.ui.SilentUIFactory):
+
     def nested_progress_bar(self):
         if getattr(uihack, '_progress_bar_stack', None) is None:
-            uihack._progress_bar_stack = bzrlib.progress.ProgressBarStack(klass=bzrlib.progress.DummyProgress)
+            pbs = bzrlib.progress.ProgressBarStack(
+                      klass=bzrlib.progress.DummyProgress)
+            uihack._progress_bar_stack = pbs
         return uihack._progress_bar_stack.get_nested()
 
 bzrlib.ui.ui_factory = ThreadSafeUIFactory()
@@ -103,14 +107,14 @@
 
             if line.type == 'context':
                 if len(delete_list) or len(insert_list):
-                    _process_side_by_side_buffers(line_list, delete_list, 
+                    _process_side_by_side_buffers(line_list, delete_list,
                                                   insert_list)
                     delete_list, insert_list = [], []
-                line_list.append(util.Container(old_lineno=line.old_lineno, 
+                line_list.append(util.Container(old_lineno=line.old_lineno,
                                                 new_lineno=line.new_lineno,
-                                                old_line=wrapped_line, 
+                                                old_line=wrapped_line,
                                                 new_line=wrapped_line,
-                                                old_type=line.type, 
+                                                old_type=line.type,
                                                 new_type=line.type))
             elif line.type == 'delete':
                 delete_list.append((line.old_lineno, wrapped_line, line.type))
@@ -164,8 +168,9 @@
     return path
 
 
-
 # from bzrlib
+
+
 class _RevListToTimestamps(object):
     """This takes a list of revisions, and allows you to bisect by date"""
 
@@ -177,7 +182,8 @@
 
     def __getitem__(self, index):
         """Get the date of the index'd item"""
-        return datetime.datetime.fromtimestamp(self.repository.get_revision(self.revid_list[index]).timestamp)
+        return datetime.datetime.fromtimestamp(self.repository.get_revision(
+                   self.revid_list[index]).timestamp)
 
     def __len__(self):
         return len(self.revid_list)
@@ -200,7 +206,7 @@
         self._file_change_cache = None
         self._branch = branch
         self._inventory_cache = {}
-        self.log = logging.getLogger('loggerhead.%s' % (branch.nick,))
+        self.log = logging.getLogger('loggerhead.%s' % branch.nick)
 
         self.last_revid = branch.last_revision()
 
@@ -210,10 +216,9 @@
             whole_history_data_cache[self.last_revid] = whole_history_data
 
         (self._revision_graph, self._full_history, self._revision_info,
-         self._revno_revid, self._merge_sort, self._where_merged
+         self._revno_revid, self._merge_sort, self._where_merged,
          ) = whole_history_data
 
-
     def use_file_cache(self, cache):
         self._file_change_cache = cache
 
@@ -228,7 +233,8 @@
         if revid not in self._revision_info:
             # ghost parent?
             return 'unknown'
-        seq, revid, merge_depth, revno_str, end_of_merge = self._revision_info[revid]
+        (seq, revid, merge_depth,
+         revno_str, end_of_merge) = self._revision_info[revid]
         return revno_str
 
     def get_revids_from(self, revid_list, start_revid):
@@ -240,6 +246,7 @@
             revid_list = self._full_history
         revid_set = set(revid_list)
         revid = start_revid
+
         def introduced_revisions(revid):
             r = set([revid])
             seq, revid, md, revno, end_of_merge = self._revision_info[revid]
@@ -262,14 +269,16 @@
         # FIXME: would be awesome if we could get, for a folder, the list of
         # revisions where items within that folder changed.i
         try:
-            # FIXME: Workaround for bzr versions prior to 1.6b3. 
+            # FIXME: Workaround for bzr versions prior to 1.6b3.
             # Remove me eventually pretty please  :)
-            w = self._branch.repository.weave_store.get_weave(file_id, self._branch.repository.get_transaction())
-            w_revids = w.versions() 
-            revids = [r for r in self._full_history if r in w_revids] 
+            w = self._branch.repository.weave_store.get_weave(
+                    file_id, self._branch.repository.get_transaction())
+            w_revids = w.versions()
+            revids = [r for r in self._full_history if r in w_revids]
         except AttributeError:
             possible_keys = [(file_id, revid) for revid in self._full_history]
-            existing_keys = self._branch.repository.texts.get_parent_map(possible_keys)
+            existing_keys = self._branch.repository.texts.get_parent_map(
+                                possible_keys)
             revids = [revid for _, revid in existing_keys.iterkeys()]
         return revids
 
@@ -277,9 +286,12 @@
         # if a user asks for revisions starting at 01-sep, they mean inclusive,
         # so start at midnight on 02-sep.
         date = date + datetime.timedelta(days=1)
-        # our revid list is sorted in REVERSE date order, so go thru some hoops here...
+        # our revid list is sorted in REVERSE date order,
+        # so go thru some hoops here...
         revid_list.reverse()
-        index = bisect.bisect(_RevListToTimestamps(revid_list, self._branch.repository), date)
+        index = bisect.bisect(_RevListToTimestamps(revid_list,
+                                                   self._branch.repository),
+                              date)
         if index == 0:
             return []
         revid_list.reverse()
@@ -291,7 +303,8 @@
         given a "quick-search" query, try a few obvious possible meanings:
 
             - revision id or # ("128.1.3")
-            - date (US style "mm/dd/yy", earth style "dd-mm-yy", or iso style "yyyy-mm-dd")
+            - date (US style "mm/dd/yy", earth style "dd-mm-yy", or \
+iso style "yyyy-mm-dd")
             - comment text as a fallback
 
         and return a revid list that matches.
@@ -300,30 +313,38 @@
         # all the relevant changes (time-consuming) only to return a list of
         # revids which will be used to fetch a set of changes again.
 
-        # if they entered a revid, just jump straight there; ignore the passed-in revid_list
+        # if they entered a revid, just jump straight there;
+        # ignore the passed-in revid_list
         revid = self.fix_revid(query)
         if revid is not None:
             if isinstance(revid, unicode):
                 revid = revid.encode('utf-8')
-            changes = self.get_changes([ revid ])
+            changes = self.get_changes([revid])
             if (changes is not None) and (len(changes) > 0):
-                return [ revid ]
+                return [revid]
 
         date = None
         m = self.us_date_re.match(query)
         if m is not None:
-            date = datetime.datetime(util.fix_year(int(m.group(3))), int(m.group(1)), int(m.group(2)))
+            date = datetime.datetime(util.fix_year(int(m.group(3))),
+                                     int(m.group(1)),
+                                     int(m.group(2)))
         else:
             m = self.earth_date_re.match(query)
             if m is not None:
-                date = datetime.datetime(util.fix_year(int(m.group(3))), int(m.group(2)), int(m.group(1)))
+                date = datetime.datetime(util.fix_year(int(m.group(3))),
+                                         int(m.group(2)),
+                                         int(m.group(1)))
             else:
                 m = self.iso_date_re.match(query)
                 if m is not None:
-                    date = datetime.datetime(util.fix_year(int(m.group(1))), int(m.group(2)), int(m.group(3)))
+                    date = datetime.datetime(util.fix_year(int(m.group(1))),
+                                             int(m.group(2)),
+                                             int(m.group(3)))
         if date is not None:
             if revid_list is None:
-                # if no limit to the query was given, search only the direct-parent path.
+                # if no limit to the query was given,
+                # search only the direct-parent path.
                 revid_list = list(self.get_revids_from(None, self.last_revid))
             return self.get_revision_history_since(revid_list, date)
 
@@ -478,14 +499,14 @@
             revnol = revno.split(".")
             revnos = ".".join(revnol[:-2])
             revnolast = int(revnol[-1])
-            if d.has_key(revnos):
+            if revnos in d.keys():
                 m = d[revnos][0]
                 if revnolast < m:
-                    d[revnos] = ( revnolast, revid )
+                    d[revnos] = (revnolast, revid)
             else:
-                d[revnos] = ( revnolast, revid )
+                d[revnos] = (revnolast, revid)
 
-        return [ d[revnos][1] for revnos in d.keys() ]
+        return [d[revnos][1] for revnos in d.keys()]
 
     def get_branch_nicks(self, changes):
         """
@@ -525,10 +546,13 @@
         # some data needs to be recalculated each time, because it may
         # change as new revisions are added.
         for change in changes:
-            merge_revids = self.simplify_merge_point_list(self.get_merge_point_list(change.revid))
-            change.merge_points = [util.Container(revid=r, revno=self.get_revno(r)) for r in merge_revids]
+            merge_revids = self.simplify_merge_point_list(
+                               self.get_merge_point_list(change.revid))
+            change.merge_points = [
+                util.Container(revid=r,
+                revno=self.get_revno(r)) for r in merge_revids]
             if len(change.parents) > 0:
-                change.parents = [util.Container(revid=r, 
+                change.parents = [util.Container(revid=r,
                     revno=self.get_revno(r)) for r in change.parents]
             change.revno = self.get_revno(change.revid)
 
@@ -543,7 +567,8 @@
         # FIXME: deprecated method in getting a null revision
         revid_list = filter(lambda revid: not bzrlib.revision.is_null(revid),
                             revid_list)
-        parent_map = self._branch.repository.get_graph().get_parent_map(revid_list)
+        parent_map = self._branch.repository.get_graph().get_parent_map(
+                         revid_list)
         # We need to return the answer in the same order as the input,
         # less any ghosts.
         present_revids = [revid for revid in revid_list
@@ -565,7 +590,8 @@
             required_trees.add(revision.revid)
             required_trees.update([p.revid for p in revision.parents[:1]])
         trees = dict((t.get_revision_id(), t) for
-                     t in self._branch.repository.revision_trees(required_trees))
+                     t in self._branch.repository.revision_trees(
+                         required_trees))
         ret = []
         for revision in revisions:
             if not revision.parents:
@@ -584,7 +610,8 @@
         """
         commit_time = datetime.datetime.fromtimestamp(revision.timestamp)
 
-        parents = [util.Container(revid=r, revno=self.get_revno(r)) for r in revision.parent_ids]
+        parents = [util.Container(revid=r,
+                   revno=self.get_revno(r)) for r in revision.parent_ids]
 
         message, short_message = clean_message(revision.message)
 
@@ -631,7 +658,9 @@
         delta = rev_tree2.changes_from(rev_tree1)
 
         change.changes = self.parse_delta(delta)
-        change.changes.modified = self._parse_diffs(rev_tree1, rev_tree2, delta)
+        change.changes.modified = self._parse_diffs(rev_tree1,
+                                                    rev_tree2,
+                                                    delta)
 
         return change
 
@@ -665,7 +694,8 @@
         process = []
         out = []
 
-        for old_path, new_path, fid, kind, text_modified, meta_modified in delta.renamed:
+        for old_path, new_path, fid, \
+            kind, text_modified, meta_modified in delta.renamed:
             if text_modified:
                 process.append((old_path, new_path, fid, kind))
         for path, fid, kind, text_modified, meta_modified in delta.modified:
@@ -685,7 +715,11 @@
                     diff = buffer.getvalue()
             else:
                 diff = ''
-            out.append(util.Container(filename=rich_filename(new_path, kind), file_id=fid, chunks=self._process_diff(diff), raw_diff=diff))
+            out.append(util.Container(
+                          filename=rich_filename(new_path, kind),
+                          file_id=fid,
+                          chunks=self._process_diff(diff),
+                          raw_diff=diff))
 
         return out
 
@@ -704,30 +738,31 @@
                     chunks.append(chunk)
                 chunk = util.Container()
                 chunk.diff = []
-                lines = [int(x.split(',')[0][1:]) for x in line.split(' ')[1:3]]
+                split_lines = line.split(' ')[1:3]
+                lines = [int(x.split(',')[0][1:]) for x in split_lines]
                 old_lineno = lines[0]
                 new_lineno = lines[1]
             elif line.startswith(' '):
-                chunk.diff.append(util.Container(old_lineno=old_lineno, 
+                chunk.diff.append(util.Container(old_lineno=old_lineno,
                                                  new_lineno=new_lineno,
-                                                 type='context', 
+                                                 type='context',
                                                  line=line[1:]))
                 old_lineno += 1
                 new_lineno += 1
             elif line.startswith('+'):
-                chunk.diff.append(util.Container(old_lineno=None, 
+                chunk.diff.append(util.Container(old_lineno=None,
                                                  new_lineno=new_lineno,
                                                  type='insert', line=line[1:]))
                 new_lineno += 1
             elif line.startswith('-'):
-                chunk.diff.append(util.Container(old_lineno=old_lineno, 
+                chunk.diff.append(util.Container(old_lineno=old_lineno,
                                                  new_lineno=None,
                                                  type='delete', line=line[1:]))
                 old_lineno += 1
             else:
-                chunk.diff.append(util.Container(old_lineno=None, 
+                chunk.diff.append(util.Container(old_lineno=None,
                                                  new_lineno=None,
-                                                 type='unknown', 
+                                                 type='unknown',
                                                  line=repr(line)))
         if chunk is not None:
             chunks.append(chunk)
@@ -754,17 +789,22 @@
             added.append((rich_filename(path, kind), fid))
 
         for path, fid, kind, text_modified, meta_modified in delta.modified:
-            modified.append(util.Container(filename=rich_filename(path, kind), file_id=fid))
+            modified.append(util.Container(filename=rich_filename(path, kind),
+                                           file_id=fid))
 
-        for old_path, new_path, fid, kind, text_modified, meta_modified in delta.renamed:
-            renamed.append((rich_filename(old_path, kind), rich_filename(new_path, kind), fid))
+        for old_path, new_path, fid, kind, text_modified, meta_modified in \
+delta.renamed:
+            renamed.append((rich_filename(old_path, kind),
+                            rich_filename(new_path, kind), fid))
             if meta_modified or text_modified:
-                modified.append(util.Container(filename=rich_filename(new_path, kind), file_id=fid))
+                modified.append(util.Container(
+                    filename=rich_filename(new_path, kind), file_id=fid))
 
         for path, fid, kind in delta.removed:
             removed.append((rich_filename(path, kind), fid))
 
-        return util.Container(added=added, renamed=renamed, removed=removed, modified=modified)
+        return util.Container(added=added, renamed=renamed,
+                              removed=removed, modified=modified)
 
     @staticmethod
     def add_side_by_side(changes):
@@ -800,9 +840,9 @@
             revid = entry.revision
 
             file = util.Container(
-                filename=filename, executable=entry.executable, kind=entry.kind,
-                pathname=pathname, file_id=entry.file_id, size=entry.text_size,
-                revid=revid, change=change_dict[revid])
+                filename=filename, executable=entry.executable,
+                kind=entry.kind, pathname=pathname, file_id=entry.file_id,
+                size=entry.text_size, revid=revid, change=change_dict[revid])
             file_list.append(file)
 
         if sort_type == 'filename' or sort_type is None:
@@ -811,7 +851,7 @@
             file_list.sort(key=lambda x: x.size)
         elif sort_type == 'date':
             file_list.sort(key=lambda x: x.change.date)
-        
+
         # Always sort by kind to get directories first
         file_list.sort(key=lambda x: x.kind != 'directory')
 
@@ -864,4 +904,4 @@
                                  change=change, text=util.fixed_width(text))
             lineno += 1
 
-        self.log.debug('annotate: %r secs' % (time.time() - z,))
+        self.log.debug('annotate: %r secs' % (time.time() - z))

=== modified file 'loggerhead/lockfile.py'
--- loggerhead/lockfile.py	2008-02-27 03:36:09 +0000
+++ loggerhead/lockfile.py	2008-10-24 02:26:05 +0000
@@ -57,7 +57,8 @@
             self._count += 1
             return True
         try:
-            fd = os.open(self._filename, os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0600)
+            fd = os.open(self._filename,
+                         os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0600)
             os.close(fd)
             self._count += 1
             return True
@@ -65,7 +66,8 @@
             return False
 
     def acquire(self):
-        # try over and over, sleeping on exponential backoff with an upper limit of about 5 seconds
+        # try over and over, sleeping on exponential backoff with
+        # an upper limit of about 5 seconds
         pause = 0.1
         #max_pause = 5.0
         max_pause = 0.1

=== modified file 'loggerhead/lsprof.py'
--- loggerhead/lsprof.py	2008-07-26 14:52:44 +0000
+++ loggerhead/lsprof.py	2008-10-24 02:26:05 +0000
@@ -26,7 +26,7 @@
 
 
 def profile(f, *args, **kwds):
-    """XXX docstring"""
+    """FIXME: docstring"""
     global _g_threadmap
     p = Profiler()
     p.enable(subcalls=True)
@@ -47,16 +47,16 @@
 
 
 class Stats(object):
-    """XXX docstring"""
+    """FIXME: docstring"""
 
     def __init__(self, data, threads):
         self.data = data
         self.threads = threads
 
     def sort(self, crit="inlinetime"):
-        """XXX docstring"""
+        """FIXME: docstring"""
         if crit not in profiler_entry.__dict__:
-            raise ValueError, "Can't sort by %s" % crit
+            raise ValueError("Can't sort by %s" % crit)
         self.data.sort(lambda b, a: cmp(getattr(a, crit),
                                         getattr(b, crit)))
         for e in self.data:
@@ -65,7 +65,7 @@
                                               getattr(b, crit)))
 
     def pprint(self, top=None, file=None):
-        """XXX docstring"""
+        """FIXME: docstring"""
         if file is None:
             file = sys.stdout
         d = self.data
@@ -93,12 +93,12 @@
         for i in range(len(self.data)):
             e = self.data[i]
             if not isinstance(e.code, str):
-                self.data[i] = type(e)((label(e.code),) + e[1:])
+                self.data[i] = type(e)((label(e.code)) + e[1:])
             if e.calls:
                 for j in range(len(e.calls)):
                     se = e.calls[j]
                     if not isinstance(se.code, str):
-                        e.calls[j] = type(se)((label(se.code),) + se[1:])
+                        e.calls[j] = type(se)((label(se.code)) + se[1:])
         for s in self.threads.values():
             s.freeze()
 
@@ -125,15 +125,15 @@
         for entry in self.data:
             totaltime = int(entry.totaltime * 1000)
             max_cost = max(max_cost, totaltime)
-        print >> self.out_file, 'summary: %d' % (max_cost,)
+        print >> self.out_file, 'summary: %d' % (max_cost)
 
     def _entry(self, entry):
         out_file = self.out_file
         code = entry.code
         inlinetime = int(entry.inlinetime * 1000)
         #print >> out_file, 'ob=%s' % (code.co_filename,)
-        print >> out_file, 'fi=%s' % (code.co_filename,)
-        print >> out_file, 'fn=%s' % (label(code, True),)
+        print >> out_file, 'fi=%s' % (code.co_filename)
+        print >> out_file, 'fn=%s' % (label(code, True))
         print >> out_file, '%d %d' % (code.co_firstlineno, inlinetime)
         # recursive calls are counted in entry.calls
         if entry.calls:
@@ -149,8 +149,8 @@
         code = subentry.code
         totaltime = int(subentry.totaltime * 1000)
         #print >> out_file, 'cob=%s' % (code.co_filename,)
-        print >> out_file, 'cfn=%s' % (label(code, True),)
-        print >> out_file, 'cfi=%s' % (code.co_filename,)
+        print >> out_file, 'cfn=%s' % (label(code, True))
+        print >> out_file, 'cfi=%s' % (code.co_filename)
         print >> out_file, 'calls=%d %d' % (
             subentry.callcount, code.co_firstlineno)
         print >> out_file, '%d %d' % (lineno, totaltime)
@@ -158,6 +158,7 @@
 
 _fn2mod = {}
 
+
 def label(code, calltree=False):
     if isinstance(code, str):
         return code

=== modified file 'loggerhead/search.py'
--- loggerhead/search.py	2008-09-09 22:42:27 +0000
+++ loggerhead/search.py	2008-10-24 02:26:05 +0000
@@ -25,11 +25,12 @@
 except ImportError:
     _mod_index = None
 
+
 def search_revisions(branch, query_list, suggest=False):
     """
     Search using bzr-search plugin to find revisions matching the query.
     This can either suggest query terms, or revision ids.
-    
+
     param branch: branch object to search in
     param query_list: string to search
     param suggest: Optional flag to request suggestions instead of results
@@ -42,7 +43,7 @@
     except errors.NoSearchIndex:
         return None # None indicates could-not-search
     query = query_list.split(' ')
-    query = [(term,) for term in query]
+    query = [(term) for term in query]
     revid_list = []
     index._branch.lock_read()
 

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-09-09 22:47:45 +0000
+++ loggerhead/templatefunctions.py	2008-10-24 02:26:05 +0000
@@ -16,13 +16,18 @@
 import os
 from loggerhead.zptsupport import zpt
 
+
 templatefunctions = {}
+
+
 def templatefunc(func):
     templatefunctions[func.__name__] = func
     return func
 
 
 _base = os.path.dirname(__file__)
+
+
 def _pt(name):
     return zpt(os.path.join(_base, 'templates', name + '.pt'))
 
@@ -30,12 +35,14 @@
 templatefunctions['macros'] = _pt('macros').macros
 templatefunctions['breadcrumbs'] = _pt('breadcrumbs').macros
 
+
 @templatefunc
 def file_change_summary(url, entry, modified_file_link):
     return _pt('revisionfilechanges').expand(
         url=url, entry=entry, modified_file_link=modified_file_link,
         **templatefunctions)
 
+
 @templatefunc
 def revisioninfo(url, branch, entry, modified_file_link=None):
     from loggerhead import util
@@ -44,18 +51,21 @@
         modified_file_link=modified_file_link,
         **templatefunctions)
 
+
 @templatefunc
 def collapse_button(group, name, branch, normal='block'):
     return _pt('collapse-button').expand(
         group=group, name=name, normal=normal, branch=branch,
         **templatefunctions)
 
+
 @templatefunc
 def collapse_all_button(group, branch, normal='block'):
     return _pt('collapse-all-button').expand(
         group=group, normal=normal, branch=branch,
         **templatefunctions)
 
+
 @templatefunc
 def revno_with_nick(entry):
     if entry.branch_nick:
@@ -64,27 +74,32 @@
         extra = ''
     return '(%s%s)'%(entry.revno, extra)
 
+
 @templatefunc
 def modified_file_link_rev(url, entry, item):
     return _pt('modified-file-link-rev').expand(
         url=url, entry=entry, item=item,
         **templatefunctions)
 
+
 @templatefunc
 def modified_file_link_log(url, entry, item):
     return _pt('modified-file-link-log').expand(
         url=url, entry=entry, item=item,
         **templatefunctions)
 
+
 @templatefunc
 def search_box(branch, navigation):
     return _pt('search-box').expand(branch=branch, navigation=navigation,
         **templatefunctions)
 
+
 @templatefunc
 def feed_link(branch, url):
     return _pt('feed-link').expand(branch=branch, url=url, **templatefunctions)
 
+
 @templatefunc
 def menu(branch, url, fileview_active=False):
     return _pt('menu').expand(branch=branch, url=url,

=== modified file 'loggerhead/tests/test_filechangecache.py'
--- loggerhead/tests/test_filechangecache.py	2008-06-25 07:03:06 +0000
+++ loggerhead/tests/test_filechangecache.py	2008-10-24 02:26:05 +0000
@@ -5,14 +5,18 @@
 
 from loggerhead.changecache import FileChangeCache
 
+
 class MockEntry(object):
+
     def __init__(self, revid):
         self.revid = revid
 
 
 class MockHistory(object):
+
     def __init__(self):
         self.fetched_revids = set()
+
     def get_file_changes_uncached(self, entries):
         output = []
         for entry in entries:
@@ -25,6 +29,7 @@
 
     # setup_method and teardown_method are so i can run the tests with
     # py.test and take advantage of the error reporting.
+
     def setup_method(self, meth):
         self.setUp()
 
@@ -38,7 +43,6 @@
         for folder in self.cache_folders:
             shutil.rmtree(folder)
 
-
     def makeHistoryAndEntriesForRevids(self, revids, fill_cache_with=[]):
         cache_folder = tempfile.mkdtemp()
         self.cache_folders.append(cache_folder)
@@ -51,7 +55,6 @@
                                      if entry.revid in fill_cache_with])
         self.history.fetched_revids.clear()
 
-
     def test_empty_cache(self):
         """An empty cache passes all the revids through to the history object.
         """

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2008-09-12 04:36:13 +0000
+++ loggerhead/tests/test_simple.py	2008-10-24 02:26:05 +0000
@@ -24,6 +24,7 @@
 
     # setup_method and teardown_method are so i can run the tests with
     # py.test and take advantage of the error reporting.
+
     def setup_method(self, meth):
         self.setUp()
 
@@ -77,7 +78,6 @@
         self.msg = 'a very exciting commit message <'
         self.revid = self.tree.commit(message=self.msg)
 
-
     def test_changes(self):
         app = self.setUpLoggerhead()
         res = app.get('/changes')
@@ -90,7 +90,7 @@
 
     def test_annotate(self):
         app = self.setUpLoggerhead()
-        res = app.get('/annotate', params={'file_id':self.fileid})
+        res = app.get('/annotate', params={'file_id': self.fileid})
         for line in self.filecontents.splitlines():
             res.mustcontain(cgi.escape(line))
 
@@ -115,4 +115,3 @@
         app = self.setUpLoggerhead()
         res = app.get('/changes')
         res.mustcontain('No revisions!')
-

=== modified file 'loggerhead/tests/test_templating.py'
--- loggerhead/tests/test_templating.py	2008-06-18 06:34:10 +0000
+++ loggerhead/tests/test_templating.py	2008-10-24 02:26:05 +0000
@@ -1,6 +1,8 @@
 from loggerhead.zptsupport import load_template
 
-RENDERED = u"<html>\n<head>\n<title>%s</title>\n</head>\n<body>\n<div>Hello, %s</div>\n</body>\n</html>"
+RENDERED = u"<html>\n<head>\n<title>%s</title>\n</head>\n\
+<body>\n<div>Hello, %s</div>\n</body>\n</html>"
+
 
 def test_template_lookup():
     template = load_template("loggerhead.tests.simple")

=== modified file 'loggerhead/trace.py'
--- loggerhead/trace.py	2008-09-09 02:34:35 +0000
+++ loggerhead/trace.py	2008-10-24 02:26:05 +0000
@@ -24,10 +24,14 @@
 import logging
 import sys
 
+
 def make_handler(config, filename):
     roll = config.get('log.roll', 'never')
     if roll == 'daily':
-        h = logging.handlers.TimedRotatingFileHandler(filename, 'midnight', 1, 100)
+        h = logging.handlers.TimedRotatingFileHandler(filename,
+                                                      'midnight',
+                                                      1,
+                                                      100)
     elif roll == 'weekly':
         h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 1, 100)
     else:
@@ -42,7 +46,8 @@
         os.mkdir(log_folder)
 
     f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d]'
-                          ' %(name)s: %(message)s','%Y%m%d-%H:%M:%S')
+                          ' %(name)s: %(message)s',
+                          '%Y%m%d-%H:%M:%S')
     debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
     debug_log.setLevel(logging.DEBUG)
     debug_log.setFormatter(f)
@@ -55,7 +60,7 @@
     access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
     access_log.setLevel(logging.INFO)
     access_log.setFormatter(f)
-    
+
     error_log = make_handler(config, os.path.join(log_folder, 'error.log'))
     error_log.setLevel(logging.ERROR)
     error_log.setFormatter(f)

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2008-09-10 00:07:49 +0000
+++ loggerhead/util.py	2008-10-24 02:26:05 +0000
@@ -38,6 +38,7 @@
 
 log = logging.getLogger("loggerhead.controllers")
 
+
 def fix_year(year):
     if year < 70:
         year += 2000
@@ -56,6 +57,7 @@
 # displaydate and approximatedate return an elementtree <span> Element
 # with the full date in a tooltip.
 
+
 def date_day(value):
     return value.strftime('%Y-%m-%d')
 
@@ -129,6 +131,7 @@
     """
     Convert a dict into an object with attributes.
     """
+
     def __init__(self, _dict=None, **kw):
         if _dict is not None:
             for key, value in _dict.iteritems():
@@ -139,7 +142,8 @@
     def __repr__(self):
         out = '{ '
         for key, value in self.__dict__.iteritems():
-            if key.startswith('_') or (getattr(self.__dict__[key], '__call__', None) is not None):
+            if key.startswith('_') or (getattr(self.__dict__[key],
+                                       '__call__', None) is not None):
                 continue
             out += '%r => %r, ' % (key, value)
         out += '}'
@@ -155,6 +159,7 @@
 STANDARD_PATTERN = re.compile(r'^(.*?)\s*<(.*?)>\s*$')
 EMAIL_PATTERN = re.compile(r'[-\w\d\+_!%\.]+@[-\w\d\+_!%\.]+')
 
+
 def hide_email(email):
     """
     try to obsure any email address in a bazaar committer's name.
@@ -179,6 +184,8 @@
 #_BADCHARS_RE = re.compile(ur'[\u007f-\uffff]')
 
 # FIXME: get rid of this method; use fixed_width() and avoid XML().
+
+
 def html_clean(s):
     """
     clean up a string for html display.  expand any tabs, encode any html
@@ -189,8 +196,10 @@
     s = s.replace(' ', '&nbsp;')
     return s
 
+
 NONBREAKING_SPACE = u'\N{NO-BREAK SPACE}'
 
+
 def fill_div(s):
     """
     CSS is stupid. In some cases we need to replace an empty value with
@@ -198,7 +207,7 @@
 
     return: the same value recieved if not empty, and a '&nbsp;' if it is.
     """
-    
+
 
     if s is None:
         return '&nbsp;'
@@ -268,6 +277,7 @@
 P95_MEG = int(0.9 * MEG)
 P95_GIG = int(0.9 * GIG)
 
+
 def human_size(size, min_divisor=0):
     size = int(size)
     if (size == 0) and (min_divisor == 0):
@@ -292,7 +302,7 @@
 
     out = str(base)
     if (base < 100) and (dot != 0):
-        out += '.%d' % (dot,)
+        out += '.%d' % (dot)
     if divisor == KILO:
         out += 'K'
     elif divisor == MEG:
@@ -313,10 +323,12 @@
         navigation.position = 0
     navigation.count = len(navigation.revid_list)
     navigation.page_position = navigation.position // navigation.pagesize + 1
-    navigation.page_count = (len(navigation.revid_list) + (navigation.pagesize - 1)) // navigation.pagesize
+    navigation.page_count = (len(navigation.revid_list) + (navigation.pagesize\
+ - 1)) // navigation.pagesize
 
     def get_offset(offset):
-        if (navigation.position + offset < 0) or (navigation.position + offset > navigation.count - 1):
+        if (navigation.position + offset < 0) or (
+           navigation.position + offset > navigation.count - 1):
             return None
         return navigation.revid_list[navigation.position + offset]
 
@@ -329,7 +341,7 @@
             navigation.next_page_revid)
     start_revno = navigation.history.get_revno(navigation.start_revid)
 
-    params = { 'filter_file_id': navigation.filter_file_id }
+    params = {'filter_file_id': navigation.filter_file_id}
     if getattr(navigation, 'query', None) is not None:
         params['q'] = navigation.query
 
@@ -404,12 +416,13 @@
         inner_breadcrumbs.append({
             'dir_name': dir_name,
             'file_id': inv.path2id('/'.join(dir_parts[:index + 1])),
-            'suffix': '/' + view ,
+            'suffix': '/' + view,
         })
     return inner_breadcrumbs
 
 
 def decorator(unbound):
+
     def new_decorator(f):
         g = unbound(f)
         g.__name__ = f.__name__
@@ -423,11 +436,15 @@
 
 
 # common threading-lock decorator
+
+
 def with_lock(lockname, debug_name=None):
     if debug_name is None:
         debug_name = lockname
+
     @decorator
     def _decorator(unbound):
+
         def locked(self, *args, **kw):
             getattr(self, lockname).acquire()
             try:
@@ -440,17 +457,20 @@
 
 @decorator
 def lsprof(f):
+
     def _f(*a, **kw):
         from loggerhead.lsprof import profile
         import cPickle
         z = time.time()
         ret, stats = profile(f, *a, **kw)
-        log.debug('Finished profiled %s in %d msec.' % (f.__name__, int((time.time() - z) * 1000)))
+        log.debug('Finished profiled %s in %d msec.' % (f.__name__,
+            int((time.time() - z) * 1000)))
         stats.sort()
         stats.freeze()
         now = time.time()
         msec = int(now * 1000) % 1000
-        timestr = time.strftime('%Y%m%d%H%M%S', time.localtime(now)) + ('%03d' % msec)
+        timestr = time.strftime('%Y%m%d%H%M%S',
+                                time.localtime(now)) + ('%03d' % msec)
         filename = f.__name__ + '-' + timestr + '.lsprof'
         cPickle.dump(stats, open(filename, 'w'), 2)
         return ret
@@ -530,6 +550,7 @@
             import signal
         except ImportError:
             return
+
         def handle_term(signo, frame):
             raise SystemExit
         signal.signal(signal.SIGTERM, handle_term)
@@ -537,13 +558,13 @@
     @classmethod
     def is_installed(self):
         return os.environ.get(self._reloader_environ_key)
-    
+
     @classmethod
     def install(self):
         from paste import reloader
         reloader.install(int(1))
-    
-    @classmethod    
+
+    @classmethod
     def restart_with_reloader(self):
         """Based on restart_with_monitor from paste.script.serve."""
         print 'Starting subprocess with file monitor'
@@ -569,7 +590,7 @@
                         os.kill(proc.pid, signal.SIGTERM)
                     except (OSError, IOError):
                         pass
-                
+
             # Reloader always exits with code 3; but if we are
             # a monitor, any exit code will restart
             if exit_code != 3:

=== modified file 'loggerhead/wholehistory.py'
--- loggerhead/wholehistory.py	2008-07-26 14:52:44 +0000
+++ loggerhead/wholehistory.py	2008-10-24 02:26:05 +0000
@@ -41,7 +41,7 @@
 
     last_revid = branch.last_revision()
 
-    log = logging.getLogger('loggerhead.%s' % (branch.nick,))
+    log = logging.getLogger('loggerhead.%s' % branch.nick)
 
     graph = branch.repository.get_graph()
     parent_map = dict(((key, value) for key, value in
@@ -72,7 +72,7 @@
         for parent in _revision_graph[revid]:
             _where_merged.setdefault(parent, set()).add(revid)
 
-    log.info('built revision graph cache: %r secs' % (time.time() - z,))
+    log.info('built revision graph cache: %r secs' % (time.time() - z))
 
     return (_revision_graph, _full_history, _revision_info,
             _revno_revid, _merge_sort, _where_merged)

=== modified file 'loggerhead/zptsupport.py'
--- loggerhead/zptsupport.py	2008-07-26 14:52:44 +0000
+++ loggerhead/zptsupport.py	2008-10-24 02:26:05 +0000
@@ -27,6 +27,8 @@
 
 
 _zpt_cache = {}
+
+
 def zpt(tfile):
     tinstance = _zpt_cache.get(tfile)
     stat = os.stat(tfile)
@@ -74,7 +76,7 @@
         package = classname[0:divider]
         basename = classname[divider+1:]
     else:
-        raise ValueError, "All templates must be in a package"
+        raise ValueError("All templates must be in a package")
 
     tfile = pkg_resources.resource_filename(
         package, "%s.%s" % (basename, "pt"))

=== modified file 'serve-branches'
--- serve-branches	2008-09-24 04:52:40 +0000
+++ serve-branches	2008-10-24 02:26:05 +0000
@@ -44,7 +44,8 @@
     parser.add_option("--trunk-dir", metavar="DIR",
                       help="The directory that contains the trunk branches.")
     parser.add_option("--port", dest="user_port",
-                      help="Port Loggerhead should listen on (defaults to 8080).")
+                      help=("Port Loggerhead should listen on "
+                            "(defaults to 8080)."))
     parser.add_option("--host", dest="user_host",
                       help="Host Loggerhead should listen on.")
     parser.add_option("--prefix", dest="user_prefix",

=== modified file 'setup.py'
--- setup.py	2008-08-05 16:02:23 +0000
+++ setup.py	2008-10-24 02:26:05 +0000
@@ -31,17 +31,18 @@
     maintainer = "Michael Hudson",
     maintainer_email = "michael.hudson@canonical.com",
     scripts = ["start-loggerhead", "stop-loggerhead", "serve-branches"],
-    packages = ["loggerhead", 
-                "loggerhead/apps", 
-                "loggerhead/controllers", 
+    packages = ["loggerhead",
+                "loggerhead/apps",
+                "loggerhead/controllers",
                 "loggerhead/templates"],
-    package_data = {"loggerhead":["templates/*.pt", 
-                                  "static/css/*.css", 
-                                  "static/javascript/*", 
-                                  "static/images/*"]},
+    package_data = {"loggerhead": ["templates/*.pt",
+                                   "static/css/*.css",
+                                   "static/javascript/*",
+                                   "static/images/*"]},
     data_files = [
-        ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1', 
-                           'serve-branches.1']),
+        ('share/man/man1', ['start-loggerhead.1',
+                            'stop-loggerhead.1',
+                            'serve-branches.1']),
         ('share/doc/loggerhead', ['loggerhead.conf.example']),
         ],
     )

=== modified file 'start-loggerhead'
--- start-loggerhead	2008-09-09 03:47:24 +0000
+++ start-loggerhead	2008-10-24 02:26:05 +0000
@@ -34,21 +34,28 @@
 from loggerhead.trace import make_handler, setup_logging
 from loggerhead.apps.error import ErrorHandlerApp
 
+
 def main():
     home = os.path.realpath(os.path.dirname(__file__))
     default_pidfile = os.path.join(home, 'loggerhead.pid')
     default_configfile = os.path.join(home, 'loggerhead.conf')
     default_log_folder = os.path.join(home, 'logs')
     parser = OptionParser(usage='usage: %prog [options]', version='%prog')
-    parser.add_option('-f', '--foreground', action='store_true', dest='foreground', default=False,
+    parser.add_option('-f', '--foreground',
+                      action='store_true', dest='foreground', default=False,
                       help="run in the foreground; don't daemonize")
-    parser.add_option('-C', '--check', action='store_true', dest='check', default=False,
-                      help="only start if not already running (useful for cron jobs)")
-    parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
+    parser.add_option('-C', '--check', action='store_true',
+                      dest='check', default=False,
+                      help=("only start if not already running (useful for "
+                            "cron jobs)"))
+    parser.add_option('-p', '--pidfile', dest="pidfile",
+                      default=default_pidfile,
                       type=str, help="override pidfile location")
-    parser.add_option('-c', '--config-file', dest="configfile", default=default_configfile,
-					  type=str, help="override configuration file location")
-    parser.add_option('-L', '--log-folder', dest="log_folder", default=default_log_folder,
+    parser.add_option('-c', '--config-file', dest="configfile",
+                      default=default_configfile,
+                      type=str, help="override configuration file location")
+    parser.add_option('-L', '--log-folder', dest="log_folder",
+                      default=default_log_folder,
                       type=str, help="override log file directory")
     options, args = parser.parse_args()
     if len(args) > 0:
@@ -57,7 +64,9 @@
     if options.check:
         if daemon.is_running(options.pidfile):
             sys.exit(0)
-        sys.stderr.write('Did not find loggerhead running in %r; restarting...\n' % (options.pidfile,))
+        sys.stderr.write('Did not find loggerhead running in %r;' % (
+                         options.pidfile))
+        sys.stderr.write(' restarting...\n')
 
     # read loggerhead config
 
@@ -66,10 +75,10 @@
     if extra_path:
         sys.path.insert(0, extra_path)
 
-    potential_overrides = [ ('server.socket_port', int),
-                            ('server.webpath', str),
-                            ('server.thread_pool', int),
-                            ('server.socket_host' ,str) ]
+    potential_overrides = [('server.socket_port', int),
+                           ('server.webpath', str),
+                           ('server.thread_pool', int),
+                           ('server.socket_host', str)]
     server_port = int(config.get('server.socket_port', 8080))
     nworkers = int(config.get('server.thread_pool', 10))
     server_host = config.get('server.socket_host', '0.0.0.0')
@@ -83,7 +92,7 @@
     if not options.foreground:
         sys.stderr.write('\n')
         sys.stderr.write('Launching loggerhead into the background.\n')
-        sys.stderr.write('PID file: %s\n' % (options.pidfile,))
+        sys.stderr.write('PID file: %s\n' % options.pidfile)
         sys.stderr.write('\n')
 
         daemon.daemonize(options.pidfile, home)
@@ -102,6 +111,7 @@
 
     if webpath:
         scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)
+
         def app(environ, start_response, orig=app):
             environ['SCRIPT_NAME'] = path
             environ['HTTP_HOST'] = netloc

=== modified file 'stop-loggerhead'
--- stop-loggerhead	2008-08-06 19:38:14 +0000
+++ stop-loggerhead	2008-10-24 02:26:05 +0000
@@ -23,11 +23,11 @@
 default_pidfile = os.path.join(home, 'loggerhead.pid')
 parser = OptionParser(usage='usage: %prog [options]', version='%prog')
 parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
-				  help="override pidfile location")
+                  help="override pidfile location")
 
 options, args = parser.parse_args()
 if len(args) > 0:
-	parser.error('No filename arguments are used, only options.')
+    parser.error('No filename arguments are used, only options.')
 
 try:
     f = open(options.pidfile, 'r')
@@ -44,7 +44,7 @@
     sys.exit(1)
 
 print
-print 'Shutting down previous server @ pid %d.' % (pid,)
+print 'Shutting down previous server @ pid %d.' % pid
 print
 
 import signal

